package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_BUG_D所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-09-25
 */
@SuppressWarnings("serial")
public class MchBugDEntity implements java.io.Serializable {
    /**
     * 废品缺陷编号(实绩编号+3位流水)
     */
    private String failBill = "";
    /**
     * 废品缺陷序号
     */
    private String failBillSqe = "";
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 缺陷代码
     */
    private String failTypeCode = "";
    /**
     * 缺陷名称
     */
    private String failTypeName = "";
    /**
     * 废品支数
     */
    private String failNum = "";
    /**
     * 废品重量
     */
    private String failWt = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 废品分类（00可疑、10废品、20绝废)
     */
    private String failSort = "";
    /**
     * 废品去向
     */
    private String failDirect = "";
    /**
     * 批号
     */
    private String batchNo = "";

    /**
     * 废品缺陷编号(实绩编号+3位流水)
     * @return value
     */
    public String getFailBill() {
        return failBill;
    }

    /**
     * 废品缺陷编号(实绩编号+3位流水)
     * @param failBill value
     */
    public void setFailBill(String failBill) {
        this.failBill = failBill;
    }

    /**
     * 废品缺陷序号
     * @return value
     */
    public String getFailBillSqe() {
        return failBillSqe;
    }

    /**
     * 废品缺陷序号
     * @param failBillSqe value
     */
    public void setFailBillSqe(String failBillSqe) {
        this.failBillSqe = failBillSqe;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 缺陷代码
     * @return value
     */
    public String getFailTypeCode() {
        return failTypeCode;
    }

    /**
     * 缺陷代码
     * @param failTypeCode value
     */
    public void setFailTypeCode(String failTypeCode) {
        this.failTypeCode = failTypeCode;
    }

    /**
     * 缺陷名称
     * @return value
     */
    public String getFailTypeName() {
        return failTypeName;
    }

    /**
     * 缺陷名称
     * @param failTypeName value
     */
    public void setFailTypeName(String failTypeName) {
        this.failTypeName = failTypeName;
    }

    /**
     * 废品支数
     * @return value
     */
    public String getFailNum() {
        return failNum;
    }

    /**
     * 废品支数
     * @param failNum value
     */
    public void setFailNum(String failNum) {
        this.failNum = failNum;
    }

    /**
     * 废品重量
     * @return value
     */
    public String getFailWt() {
        return failWt;
    }

    /**
     * 废品重量
     * @param failWt value
     */
    public void setFailWt(String failWt) {
        this.failWt = failWt;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 废品分类（00可疑、10废品、20绝废)
     * @return value
     */
    public String getFailSort() {
        return failSort;
    }

    /**
     * 废品分类（00可疑、10废品、20绝废)
     * @param failSort value
     */
    public void setFailSort(String failSort) {
        this.failSort = failSort;
    }

    /**
     * 废品去向
     * @return value
     */
    public String getFailDirect() {
        return failDirect;
    }

    /**
     * 废品去向
     * @param failDirect value
     */
    public void setFailDirect(String failDirect) {
        this.failDirect = failDirect;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     *
     */
    private String matNo = "";

    /**
     *
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     *
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }
}